<template>
  <view>
    <u-action-sheet :actions="actionsOptions" :show="show" cancelText="取消" safeAreaInsetBottom round="32rpx" @close="onActionSheetClose" @select="onActionSheetSelect" />
  </view>
</template>

<script>
import { actionsOptions } from '@/pages/record-content/mock'

export default {
  name: 'CertificateTypeActionSheet',
  props: {
    success: {
      type: Function,
      default: (item) => {},
    },
  },
  data() {
    return {
      show: false,
      actionsOptions,
    }
  },
  methods: {
    async onActionSheetClose() {
      this.show = false
    },

    async onActionSheetSelect(item) {
      this.success(item)
    },
  },
}
</script>

<style scoped lang="scss">
@import 'CertificateTypeActionSheet.scss';
</style>
